Bug 1107432 (CVE-2014-1545) - CVE-2014-1545 Mozilla: Out of bounds write in NSPR (MFSA 2014-55)
Summary: CVE-2014-1545 Mozilla: Out of bounds write in NSPR (MFSA 2014-55)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-1545
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1113857 1113858 1113859 1115783
Blocks: 1248058
TreeView+ depends on / blocked
 
Reported: 2014-06-10 02:49 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An out-of-bounds write flaw was found in NSPR. A remote attacker could potentially use this flaw to crash an application using NSPR or, possibly, execute arbitrary code with the privileges of the user running that application. This NSPR flaw was not exposed to web content in any shipped version of Firefox.
Clone Of:
Environment:
Last Closed: 2015-07-30 09:56:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0917 normal SHIPPED_LIVE Critical: nss and nspr security, bug fix, and enhancement update 2014-07-22 21:59:48 UTC
Red Hat Product Errata RHSA-2014:1246 normal SHIPPED_LIVE Moderate: nss and nspr security, bug fix, and enhancement update 2014-09-16 09:39:01 UTC

Description Huzaifa S. Sidhpurwala 2014-06-10 02:49:41 UTC
Security researcher Abhishek Arya (Inferno) of the Google Chrome Security Team reported an out of bounds write in the Netscape Portable Runtime (NSPR) leading to a potentially exploitable crash or code execution. This issue is fixed in NSPR version 4.10.6.

This NSPR flaw was not exposed to web content in any shipped version of Firefox.


External Reference:

http://www.mozilla.org/security/announce/2014/mfsa2014-55.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Abhishek Arya as the original reporter.

Comment 2 Murray McAllister 2014-07-03 06:33:41 UTC
Created nspr tracking bugs for this issue:

Affects: fedora-all [bug 1115783]

Comment 3 errata-xmlrpc 2014-07-22 18:00:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0917 https://rhn.redhat.com/errata/RHSA-2014-0917.html

Comment 4 Martin Prpič 2014-07-28 11:37:17 UTC
IssueDescription:

An out-of-bounds write flaw was found in NSPR. A remote attacker could potentially use this flaw to crash an application using NSPR or, possibly, execute arbitrary code with the privileges of the user running that application. This NSPR flaw was not exposed to web content in any shipped version of Firefox.

Comment 5 errata-xmlrpc 2014-09-16 05:39:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1246 https://rhn.redhat.com/errata/RHSA-2014-1246.html

Comment 7 Huzaifa S. Sidhpurwala 2015-07-30 09:55:16 UTC
This issue was addressed in Red Hat Enterprise Linux 7 via the following update:

https://rhn.redhat.com/errata/RHBA-2015-0364.html


Note You need to log in before you can comment on or make changes to this bug.